
Redmine - Feature #854

Editing one's own forum posts

2008-03-14 16:56 - YA Chris

Status: Closed Start date: 2008-03-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

Hello -- it'd be nice to be able to have the ability to NOT edit all forum posts (such as is the case now in 0.6.4) but to just have the

ability to edit forum posts that I have made.

Associated revisions

Revision 2019 - 2008-11-11 16:07 - Jean-Philippe Lang

Adds permissions to let users edit and/or delete their messages (#854, patch by Markus Knittig with slight changes).

History

#1 - 2008-03-16 15:01 - Jean-Philippe Lang

- Target version set to 0.8

#2 - 2008-09-15 21:58 - Jan Losinski

+1

I need this too

#3 - 2008-09-15 23:50 - Jan Losinski

- File own_message_edit.patch added

I've a dirty hack if anyone need this feature faster than the official implementation is done.

Apply the patch and you can edit your own posts, even if you are not a manager.

#4 - 2008-11-08 19:01 - Markus Knittig

- File edit_own_messages.diff added

Here is my try...

#5 - 2008-11-11 16:08 - Jean-Philippe Lang

- Category set to Forums

- Status changed from New to Closed

- Resolution set to Fixed

I've committed Markus' patch in r2019 (with slight changes) since it's more configurable.

Thanks.

#6 - 2008-11-14 22:34 - Markus Knittig

Nice, but there's a little typo in the language files. It should be permission_delete_own_messages not permission_delete_won_messages.

Files

own_message_edit.patch 1.83 KB 2008-09-15 Jan Losinski

edit_own_messages.diff 5.52 KB 2008-11-08 Markus Knittig
